<?php

if (!function_exists('create_log')) {

    function create_log($table, $row_table_id, $data) {
        $CI = &get_instance();
        $CI->load->model("logs_model");
        $data_insert = array();
        $data_insert['usuario_id'] = (check_id()) ? check_id() : 1;
        $data_insert['table'] = $table;
        $data_insert['row_table_id'] = $row_table_id;
        $data_insert['data'] = json_encode($data);
        $data_insert['created_at'] = date("Y-m-d H:i:s");
        if ($CI->logs_model->insert($data_insert)) {
            return TRUE;
        } else {
            return FALSE;
        }
    }

}